#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
LOGDIR=/var/log
LOGFILE=maillog

case $# in
	0)
	echo "Content-type: text/plain"
	echo
	LOGDIR=$HOME/htdocs/$LOGFILE
	cat $LOGDIR/$LOGFILE | grep check_rcpt | grep Mailbox | awk '{print $1,$2,$3,$6,$8,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/://3" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	;;
	1)
	if [ $1 -le 8 ]; then
	opt=$(( $1 - 1 ))
	if [ $opt -lt 0 ]; then
	cat $LOGDIR/$LOGFILE | grep check_rcpt | grep Mailbox | awk '{print $1,$2,$3,$6,$8,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/://3" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	else
	zcat $LOGDIR/$LOGFILE.$opt.gz | grep check_rcpt | grep Mailbox | awk '{print $1,$2,$3,$6,$8,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/://3" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	fi
	fi
	;;
	2)
	if [ $1 -le 8 ]; then
	opt=$(( $1 - 1 ))
	if [ $opt -lt 0 ]; then
	cat $LOGDIR/$LOGFILE | grep check_rcpt | grep $2 | awk '{print $1,$2,$3,$6,$8,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/://3" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	else
	zcat $LOGDIR/$LOGFILE.$opt.gz | grep check_rcpt | grep $2 | awk '{print $1,$2,$3,$6,$8,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/://3" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	fi
	fi
	;;
esac

