#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
LOGDIR=/var/log
LOGFILE=maillog

case $# in
	0)
	echo "Content-type: text/plain"
	echo
	LOGDIR=$HOME/htdocs/$LOGFILE
	cat $LOGDIR/$LOGFILE | grep check_relay | awk '{print $1,$2,$3,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/[0-9]\.[0-9]\.[0-9]$/relay=/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	;;
	1)
	if [ $1 -le 8 ] && [ $1 -ge 1 ]; then
	opt=$(( $1 - 1 ))
	zcat $LOGDIR/$LOGFILE.$opt.gz | grep check_relay | awk '{print $1,$2,$3,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/[0-9]\.[0-9]\.[0-9]$/relay=/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	fi
	if [ $1 -le 0 ]; then
	cat $LOGDIR/$LOGFILE | grep check_relay | awk '{print $1,$2,$3,$9,$10}' | sed "s/ reject=[0-9]\{1,3\}//" | sed "s/[0-9]\.[0-9]\.[0-9]$/relay=/" | sed "s/\(relay=\)\[/\1 \[/" | sed "s/\],*/\]/"
	fi
	;;
esac

