#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
LOGDIR=/var/log
LOGFILE=maillog

case $# in
0)
echo "Content-type: text/plain"
echo
LOGDIR=$HOME/htdocs/$LOGFILE
cat $LOGDIR/$LOGFILE | grep from= | grep -v SYSERR | awk '{print $1,$2,$3,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
;;
1)
if [ $1 -le 8 ] && [ $1 -ge 1 ]; then
opt=$(( $1 - 1 ))
zcat $LOGDIR/$LOGFILE.$opt.gz | grep from= | grep -v SYSERR | awk '{print $1,$2,$3,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
if [ $1 -le 0 ]; then
cat $LOGDIR/$LOGFILE | grep from= | grep -v SYSERR | awk '{print $1,$2,$3,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
;;
2)
if [ $1 -le 8 ] && [ $1 -ge 1 ]; then
opt=$(( $1 - 1 ))
if [ $2 -eq 0 ]; then
zcat $LOGDIR/$LOGFILE.$opt.gz | grep from= | grep -v SYSERR | grep -v forged | awk '{print $1,$2,$3,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
else
zcat $LOGDIR/$LOGFILE.$opt.gz | grep from= | grep -v SYSERR | awk '{print $1,$2,$3,$6,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/://3" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
fi
if [ $1 -le 0 ]; then
if [ $2 -eq 0 ]; then
cat $LOGDIR/$LOGFILE | grep from= | grep -v SYSERR | grep -v forged | awk '{print $1,$2,$3,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
else
cat $LOGDIR/$LOGFILE | grep from= | grep -v SYSERR | awk '{print $1,$2,$3,$6,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/://3" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
fi
;;
3)
if [ $1 -le 8 ] && [ $1 -ge 1 ]; then
opt=$(( $1 - 1 ))
zcat $LOGDIR/$LOGFILE.$opt.gz | grep from= | grep -v SYSERR | grep -v forged | awk '{print $1,$2,$3,$6,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/://3" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
if [ $1 -le 0 ]; then
cat $LOGDIR/$LOGFILE | grep from= | grep -v SYSERR | grep -v forged | awk '{print $1,$2,$3,$6,$7,$13,$14,$15,$16}' | sed "s/ daemon=IPv4//" | sed "s/\( proto=\)E/\1/" | sed "s/ proto=SMTP//" | sed "s/ (may//" | sed "s/ be//" | sed "s/://3" | sed "s/\(from=\)</\1/" | sed "s/>,*//" | sed "s/,*\( relay=\)/\1/" | sed "s/\(relay=\)\[/\1 \[/"
fi
;;
esac

