#!/bin/sh

echo "Content-type: text/plain"
echo

LOGDIR=/var/log
LOGFILE=messages

fnum=`ls -l $LOGDIR/$LOGFILE.?.gz | awk '{print $9}' | sed "s/\./ /g" | tail -1 | awk '{print $2}'`
date=`date '+%b %d' | sed "s/\([a-z]\ \)0\([1-9]\)/\1\ \2/1"`
while [ $fnum -ge -1 ];
do
	if [ $fnum -lt 0 ]; then
		FNAME=$LOGDIR/$LOGFILE
		cat $FNAME | grep "^$date" | grep -v "logfile turned over"
	else
		FNAME=$LOGDIR/$LOGFILE.$fnum.gz
		zcat $FNAME | grep "^$date" | grep -v "logfile turned over"
	fi
	fnum=$(( $fnum - 1 ))
done

