#!/bin/sh

USER=www
export USER
GROUP=wheel
export GROUP
HOME=/home/$USER
export HOME
LOGDIR=/var/log
LOGFILE=maillog

case $# in
	0)
	echo "Content-type: text/plain"
	echo
	LOGDIR=$HOME/htdocs/$LOGFILE
	cat $LOGDIR/$LOGFILE | grep "MAIL/EXPN/VRFY/ETRN" | awk '{print $1,$2,$3,$6,"relay="$7,$8}' | sed "s/ did//" | sed "s/://3" | sed "s/\(relay=\)\[/\1 \[/"
	;;
	1)
	if [ $1 -le 8 ] && [ $1 -ge 1 ]; then
	opt=$(( $1 - 1 ))
	zcat $LOGDIR/$LOGFILE.$opt.gz | grep "MAIL/EXPN/VRFY/ETRN" | awk '{print $1,$2,$3,$6,"relay="$7,$8}' | sed "s/ did//" | sed "s/://3" | sed "s/\(relay=\)\[/\1 \[/"
	fi
	if [ $1 -le 0 ]; then
	cat $LOGDIR/$LOGFILE | grep "MAIL/EXPN/VRFY/ETRN" | awk '{print $1,$2,$3,$6,"relay="$7,$8}' | sed "s/ did//" | sed "s/://3" | sed "s/\(relay=\)\[/\1 \[/"
	fi
	;;
esac

